using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("滑坡滚石处理外部验收记录表")]
    public class T_PR_EXTERNAL_ACCEPTANCE_RECORD : MesEntityBase
    {
        [Description("处理开始时间")]
        public DateTime? START_TIME { get; set; }
        [Description("处理结束时间")]
        public DateTime? END_TIME { get; set; }
        [Description("外部协作单位名称")]
        public string UNIT { get; set; }

        [Description("情况描述")]
        public string DESCRIPTION { get; set; }

        [Description("整改记录")]
        public string RECTIFICATION_RECORD { get; set; }

        [Description("处理措施是否可靠")]
        [EnumName("DisableStatusEnum")]
        public DisableStatusEnum? IS_RELIABLE { get; set; }

        [Description("验收记录")]
        public ICollection<T_PR_EXTERNAL_ACCEPTANCE_RECORD_ACCEPTANCE> Nav_Acceptances { get; set; }

        [Description("附件上传")]
        public ICollection<T_PR_EXTERNAL_ACCEPTANCE_RECORD_FILE> Nav_Files { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("滑坡滚石处理外部协助申请表")]
        [DataFieldForeignKey("Nav_Application")]
        public Guid? APPLICATION_ID { get; set; }

        [Description("滑坡滚石处理外部协助申请表")]
        public virtual T_PR_EXTERNAL_ASSISTANCE_APPLICATION Nav_Application { get; set; }
    }
}
